$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5e29bdbe222878d640f6da12944c7b270919e758/rpcs3-v0.0.10-10569-5e29bdbe_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '29c3f4ce972349fa2499f6f531b42e1188a37fc7e3f5fe6b6b045fe3b389de1e'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
